import { EventEmitter, TemplateRef } from "@angular/core";
import { NgPolandMapPoint } from "../config";
import * as i0 from "@angular/core";
export declare class NgPolandMapPointerComponent {
    svgWidth: number;
    svgHeight: number;
    northLat: number;
    southLat: number;
    eastLong: number;
    westLong: number;
    southToNorth: number;
    eastToWest: number;
    point: NgPolandMapPoint | undefined;
    pointerTemplate: TemplateRef<any> | undefined;
    fill: string;
    pointSize: number;
    clickable: boolean;
    clicked: EventEmitter<NgPolandMapPoint>;
    longitudeToSvgX(longitude: number): number | undefined;
    latitudeToSvgY(latitude: number): number | undefined;
    pointClicked(point: NgPolandMapPoint | undefined): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgPolandMapPointerComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgPolandMapPointerComponent, "g[lib-ng-poland-map-pointer]", never, { "point": { "alias": "point"; "required": false; }; "pointerTemplate": { "alias": "pointerTemplate"; "required": false; }; "fill": { "alias": "fill"; "required": false; }; "pointSize": { "alias": "pointSize"; "required": false; }; "clickable": { "alias": "clickable"; "required": false; }; }, { "clicked": "clicked"; }, never, never, true, never>;
}
