import { EventEmitter } from "@angular/core";
import { NgPolandMapRegion, Voivodeship } from "../config";
import * as i0 from "@angular/core";
export declare class NgPolandMapRegionComponent {
    region: NgPolandMapRegion | undefined;
    bgColor: string;
    strokeWidth: number;
    strokeColor: string;
    clickable: boolean;
    highlightColor: string | undefined;
    labelText: string | undefined;
    labelColor: string;
    labelPosX: number | undefined;
    labelPosY: number | undefined;
    labelFont: string | undefined;
    labelFontSize: string | undefined;
    clicked: EventEmitter<Voivodeship>;
    regionClicked(region: NgPolandMapRegion["voivodeship"]): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<NgPolandMapRegionComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NgPolandMapRegionComponent, "g[lib-ng-poland-map-region]", never, { "region": { "alias": "region"; "required": false; }; "bgColor": { "alias": "bgColor"; "required": false; }; "strokeWidth": { "alias": "strokeWidth"; "required": false; }; "strokeColor": { "alias": "strokeColor"; "required": false; }; "clickable": { "alias": "clickable"; "required": false; }; "highlightColor": { "alias": "highlightColor"; "required": false; }; "labelText": { "alias": "labelText"; "required": false; }; "labelColor": { "alias": "labelColor"; "required": false; }; "labelPosX": { "alias": "labelPosX"; "required": false; }; "labelPosY": { "alias": "labelPosY"; "required": false; }; "labelFont": { "alias": "labelFont"; "required": false; }; "labelFontSize": { "alias": "labelFontSize"; "required": false; }; }, { "clicked": "clicked"; }, never, never, true, never>;
}
